package com.bocloud.ims.service.model;

import com.bocloud.cmp.model.ServerModel;
import com.bocloud.ims.entity.resource.CloudServer;
import com.bocloud.ims.service.builder.ServerBuilder;

public class ProcessResult {

    private ServerModel serverModel;
    private ServerBuilder serverBuilder;
    private CloudServer cloudServer;

    /**
     * @param serverModel
     * @param serverBuilder
     */
    public ProcessResult(ServerModel serverModel, ServerBuilder serverBuilder) {
        super();
        this.serverModel = serverModel;
        this.serverBuilder = serverBuilder;
    }

    /**
     * @param serverModel
     * @param serverBuilder
     * @param cloudServer
     */
    public ProcessResult(ServerModel serverModel, ServerBuilder serverBuilder,
                         CloudServer cloudServer) {
        this.serverModel = serverModel;
        this.serverBuilder = serverBuilder;
        this.cloudServer = cloudServer;
    }

    /**
     * @return the serverModel
     */
    public ServerModel getServerModel() {
        return serverModel;
    }

    /**
     * @param serverModel the serverModel to set
     */
    public void setServerModel(ServerModel serverModel) {
        this.serverModel = serverModel;
    }

    /**
     * @return the serverBuilder
     */
    public ServerBuilder getServerBuilder() {
        return serverBuilder;
    }

    /**
     * @param serverBuilder the serverBuilder to set
     */
    public void setServerBuilder(ServerBuilder serverBuilder) {
        this.serverBuilder = serverBuilder;
    }

    /**
     * @return the cloudServer
     */
    public CloudServer getCloudServer() {
        return cloudServer;
    }

    /**
     * @param cloudServer the cloudServer to set
     */
    public void setCloudServer(CloudServer cloudServer) {
        this.cloudServer = cloudServer;
    }

}
